OpenVDB 7.0.0

Public Types | List of all members
LeafNode< ValueMask, Log2Dim >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T. More...

`#include <LeafNodeMask.h>`

## Public Types
using | Type = LeafNode< OtherValueType, Log2Dim >

## Detailed Description

### template<Index Log2Dim>
template<typename OtherValueType>
struct openvdb::v7_0::tree::LeafNode< ValueMask, Log2Dim >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T.

## Member Typedef Documentation

## ◆ Type

using Type = LeafNode<OtherValueType, Log2Dim>

The documentation for this struct was generated from the following file:

- LeafNodeMask.h